# Get

Launch stage: GA

`GET /api/2.0/postgres/{name=projects/*/branches/*/roles/*}`

Retrieves information about the specified Postgres role, including its authentication method and permissions.

API scopes: postgres

## Path parameters

- `name` (string, optional)
  The full resource path of the role to retrieve.
   Format: projects/{project_id}/branches/{branch_id}/roles/{role_id}

## Returns

Returns the Role object.

## Response

```json
{
  "name": "string",
  "parent": "string",
  "create_time": "string",
  "update_time": "string",
  "spec": {
    "membership_roles": [
      "string"
    ],
    "identity_type": "string",
    "attributes": {},
    "auth_method": "string",
    "postgres_role": "string"
  },
  "status": {
    "membership_roles": [
      "string"
    ],
    "identity_type": "string",
    "attributes": {},
    "auth_method": "string",
    "postgres_role": "string",
    "role_id": "string"
  },
  "role_id": "string"
}
```

